Форумы caduser.ru

  5
Поиск  Пользователи  Правила 
Закрыть
Логин:
Пароль:
Забыли свой пароль?
Регистрация
Войти  
Страницы: 1
RSS
Разметить полилинию
Добрый день! Есть часть кода:

Код
Activdoc.Utility.GetEntity(obj11, basePnt, "Выберите полилинию или блок-ГНБ!!!")
Dim tmpObj As AcadObject = CType(obj11, AcadObject)
strObjName = tmpObj.ObjectName
str1 = "(handent """ + tmpObj.Handle + """" + ")"
str = "_.measure "
str = str & str1 & vbCr & "_Y" & vbCr & "20" & vbCr
Activdoc.SendCommand(str)

Вопрос: Как выбрать с какого конца полилинии её разметить? Если пользоваться командой автокада, то какой конец выбираешь, то с того и начинает. А тут какая-то своя логика. Как привязать basePnt?
Думаю, что нужно передавать не имя примитива, а пару (имя примитива, точка указания), как возвращает функция (entsel): https://knowledge.autodesk.com/search-...7-htm.html
Спасибо. Попробую!
Страницы: 1
Читают тему (гостей: 1, пользователей: 0, из них скрытых: 0)